org.eclipse.net4j.spi.db.ddl

## Interface InternalDBTable

- All Superinterfaces:
    java.lang.Comparable<IDBSchemaElement>, IContainer<IDBSchemaElement>, IDBElement, IDBNamedElement, IDBSchemaElement, IDBTable, INotifier, InternalDBElement, InternalDBNamedElement, InternalDBSchemaElement

      public interface InternalDBTable
      extends IDBTable, InternalDBSchemaElement

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `IDBSchemaElement.SchemaElementType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IDBField[]` | `NO_FIELDS`
    `static IDBIndex[]` | `NO_INDICES`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBTable` | `getWrapper()`
    `void` | `removeField(IDBField fieldToRemove)`
    `void` | `removeIndex(IDBIndex indexToRemove)`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBTable

      `addField, addField, addField, addField, addField, addField, addIndex, addIndex, addIndex, addIndex, addIndexEmpty, addIndexEmpty, getField, getField, getFieldCount, getFields, getFields, getFieldSafe, getIndex, getIndex, getIndexCount, getIndexSafe, getIndices, getParent, getPrimaryKeyIndex, hasIndexFor, sqlInsert`

    - ### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBSchemaElement

      `setWrapper`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `accept, getElement, getFullName, getSchema, getSchemaElementType, remove, setName`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBNamedElement

      `dump, dump, dumpToString, setName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### NO_FIELDS

          static final IDBField[] NO_FIELDS

    - #### NO_INDICES

          static final IDBIndex[] NO_INDICES

  - ### Method Detail

    - #### getWrapper

          IDBTable getWrapper()

      Specified by:
        `getWrapper` in interface `InternalDBSchemaElement`

    - #### removeField

          void removeField(IDBField fieldToRemove)

    - #### removeIndex

          void removeIndex(IDBIndex indexToRemove)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html